Bug 1005320 - Review Request: openstack-puppet-modules - Puppet modules used to install OpenStack
Review Request: openstack-puppet-modules - Puppet modules used to install Ope...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pádraig Brady
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 12:13 EDT by Ryan O'Hara
Modified: 2016-01-04 09:46 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-21 10:01:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
p: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ryan O'Hara 2013-09-06 12:13:43 EDT
Spec URL: http://rohara.fedorapeople.org/puppet/openstack-puppet.spec
SRPM URL: http://rohara.fedorapeople.org/puppet/openstack-puppet-2013.2-1.fc18.noarch.rpm
Description: A collection of Puppet modules used to install OpenStack.
Fedora Account System Username: rohara
Comment 1 Jakub Ruzicka 2013-10-09 15:32:35 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- License says "ASL 2.0 and GPLv2" but mysql/files/mysqltuner.pl is GPLv3.
- Changelog version doesn't match actual version.
- Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
- If the package is under multiple licenses, the licensing breakdown must
  be documented in the spec. (fedora-review says this, not sure about details)


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/puppet,
     /usr/share/puppet/modules
[x]: Package contains no bundled libraries without FPC exception.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[-]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: openstack-puppet-2013.2-1.fc19.noarch.rpm
          openstack-puppet-2013.2-1.fc19.src.rpm
openstack-puppet.noarch: W: incoherent-version-in-changelog 2012.2-1 ['2013.2-1.fc19', '2013.2-1']
openstack-puppet.noarch: W: no-documentation
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/is_domain_name_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/mysql/files/mysqltuner.pl 0644L /usr/bin/perl
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/rsync/.gemfile
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/neutron/.gitreview
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/upcase_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/time_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/firewall/.travis.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/num2bool_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/neutron/.fixtures.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/is_float_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/floor_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/glance/ext/glance.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/intersection_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/vcsrepo/.travis.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/pick_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/functions/ensure_packages_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/cinder/.travis.yml
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/inifile/spec/fixtures/tmp/.empty
openstack-puppet.noarch: E: zero-length /usr/share/puppet/modules/inifile/spec/fixtures/tmp/.empty
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/uriescape_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: script-without-shebang /usr/share/puppet/modules/firewall/spec/monkey_patches/publicize_methods.rb
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/swift/.gemfile
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/values_at_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/keystone/ext/keystone_test.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/mysql/.gemfile
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/prefix_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/count_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/haproxy/.fixtures.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/functions/defined_with_params_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/apache/.travis.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/facter/pe_version_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/mysql/.fixtures.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/validate_hash_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/concat/files/concatfragments.sh 0644L /bin/sh
openstack-puppet.noarch: E: script-without-shebang /usr/share/puppet/modules/stdlib/spec/monkey_patches/publicize_methods.rb
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/swift/files/swift_tester.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/swapcase_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/squeeze_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/cinder/.gitreview
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/apache/spec/unit/provider/a2mod/gentoo_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/keystone/.fixtures.yml
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/vswitch/.fixtures.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/size_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/swift/.gitreview
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/parseyaml_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/apache/.gemfile
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/keys_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/union_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/stdlib/.project
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/str2saltedsha512_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/horizon/.gitreview
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/apache/.fixtures.yml
openstack-puppet.noarch: E: script-without-shebang /usr/share/puppet/modules/firewall/spec/puppet_spec/verbose.rb
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/mysql/spec/unit/mysql_password_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/getvar_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/nova/.fixtures.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/suffix_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: script-without-shebang /usr/share/puppet/modules/stdlib/spec/monkey_patches/alias_should_to_must.rb
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/openstack/.travis.yml
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/inifile/.travis.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/merge_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/zip_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/range_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/type/anchor_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: zero-length /usr/share/puppet/modules/xinetd/spec/fixtures/manifests/site.pp
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/swift/.travis.yml
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/haproxy/.travis.yml
openstack-puppet.noarch: E: script-without-shebang /usr/share/puppet/modules/neutron/examples/neutron.pp
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/validate_array_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/is_array_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/any2array_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/strftime_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/concat_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/stdlib/.travis.yml
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/stdlib/.rspec
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/validate_string_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/difference_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/horizon/.fixtures.yml
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/openstack/.fixtures.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/join_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/rsync/.fixtures.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/swift/ext/swift.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/sort_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/strip_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/member_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/glance/.fixtures.yml
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/memcached/.travis.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/lstrip_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/is_mac_address_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/memcached/.gemfile
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/openstack/.mailmap
openstack-puppet.noarch: E: script-without-shebang /usr/share/puppet/modules/firewall/spec/puppet_spec/files.rb
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/openstack/templates/openrc.erb 0644L /bin/sh
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/nova/.gitreview
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/fqdn_rotate_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: wrong-script-interpreter /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/validate_bool_spec.rb /usr/bin/env/ruby
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/validate_bool_spec.rb 0644L /usr/bin/env/ruby
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/haproxy/.gemfile
openstack-puppet.noarch: E: script-without-shebang /usr/share/puppet/modules/firewall/spec/puppet_spec/fixtures.rb
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/values_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/is_function_available.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/is_string_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/mysql/.travis.yml
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/memcached/.fixtures.yml
openstack-puppet.noarch: E: wrong-script-interpreter /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/validate_ipv4_address_spec.rb /usr/bin/env/ruby
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/validate_ipv4_address_spec.rb 0644L /usr/bin/env/ruby
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/shuffle_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/unique_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/openstack/.gitreview
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/swift/ext/swift_keystone_test.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/is_ip_address_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/firewall/spec/unit/puppet/provider/iptables_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/hash_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/openstack/templates/test_nova.sh.erb 0644L /bin/bash
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/cinder/.fixtures.yml
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/glance/.gitreview
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/xinetd/.fixtures.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/functions/getparam_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/swift/.fixtures.yml
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/inifile/.fixtures.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/has_key_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: script-without-shebang /usr/share/puppet/modules/nova/files/compute.py
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/parsejson_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/is_numeric_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/stdlib/.gemspec
openstack-puppet.noarch: E: wrong-script-interpreter /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/validate_ipv6_address_spec.rb /usr/bin/env/ruby
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/validate_ipv6_address_spec.rb 0644L /usr/bin/env/ruby
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/xinetd/.gemfile
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/type_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/tempest/.gitreview
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/is_hash_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/is_integer_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/neutron/examples/create_network.sh 0644L /bin/bash
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/reverse_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: script-without-shebang /usr/share/puppet/modules/firewall/spec/monkey_patches/alias_should_to_must.rb
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/functions/ensure_resource_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/mysql/templates/mysqlbackup.sh.erb 0644L /bin/sh
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/str2bool_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/join_keys_to_values_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/rstrip_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/keystone/.gitreview
openstack-puppet.noarch: E: zero-length /usr/share/puppet/modules/rsync/spec/fixtures/manifests/site.pp
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/swift/templates/swift_keystone_test.erb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/get_module_path_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/nova/files/nova-novncproxy.init 0644L /bin/bash
2 packages and 0 specfiles checked; 97 errors, 50 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint openstack-puppet
openstack-puppet.noarch: W: incoherent-version-in-changelog 2012.2-1 ['2013.2-1.fc19', '2013.2-1']
openstack-puppet.noarch: W: no-documentation
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/is_domain_name_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/mysql/files/mysqltuner.pl 0644L /usr/bin/perl
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/rsync/.gemfile
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/neutron/.gitreview
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/upcase_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/time_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/firewall/.travis.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/num2bool_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/neutron/.fixtures.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/is_float_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/floor_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/glance/ext/glance.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/intersection_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/vcsrepo/.travis.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/pick_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/functions/ensure_packages_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/cinder/.travis.yml
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/inifile/spec/fixtures/tmp/.empty
openstack-puppet.noarch: E: zero-length /usr/share/puppet/modules/inifile/spec/fixtures/tmp/.empty
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/uriescape_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: script-without-shebang /usr/share/puppet/modules/firewall/spec/monkey_patches/publicize_methods.rb
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/swift/.gemfile
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/values_at_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/keystone/ext/keystone_test.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/mysql/.gemfile
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/prefix_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/count_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/haproxy/.fixtures.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/functions/defined_with_params_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/apache/.travis.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/facter/pe_version_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/mysql/.fixtures.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/validate_hash_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/concat/files/concatfragments.sh 0644L /bin/sh
openstack-puppet.noarch: E: script-without-shebang /usr/share/puppet/modules/stdlib/spec/monkey_patches/publicize_methods.rb
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/swift/files/swift_tester.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/swapcase_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/squeeze_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/cinder/.gitreview
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/apache/spec/unit/provider/a2mod/gentoo_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/keystone/.fixtures.yml
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/vswitch/.fixtures.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/size_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/swift/.gitreview
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/parseyaml_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/apache/.gemfile
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/keys_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/union_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/stdlib/.project
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/str2saltedsha512_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/horizon/.gitreview
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/apache/.fixtures.yml
openstack-puppet.noarch: E: script-without-shebang /usr/share/puppet/modules/firewall/spec/puppet_spec/verbose.rb
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/mysql/spec/unit/mysql_password_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/getvar_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/nova/.fixtures.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/suffix_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: script-without-shebang /usr/share/puppet/modules/stdlib/spec/monkey_patches/alias_should_to_must.rb
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/openstack/.travis.yml
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/inifile/.travis.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/merge_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/zip_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/range_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/type/anchor_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: zero-length /usr/share/puppet/modules/xinetd/spec/fixtures/manifests/site.pp
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/swift/.travis.yml
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/haproxy/.travis.yml
openstack-puppet.noarch: E: script-without-shebang /usr/share/puppet/modules/neutron/examples/neutron.pp
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/validate_array_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/is_array_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/any2array_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/strftime_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/concat_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/stdlib/.travis.yml
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/stdlib/.rspec
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/validate_string_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/difference_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/horizon/.fixtures.yml
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/openstack/.fixtures.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/join_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/rsync/.fixtures.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/swift/ext/swift.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/sort_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/strip_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/member_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/glance/.fixtures.yml
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/memcached/.travis.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/lstrip_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/is_mac_address_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/memcached/.gemfile
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/openstack/.mailmap
openstack-puppet.noarch: E: script-without-shebang /usr/share/puppet/modules/firewall/spec/puppet_spec/files.rb
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/openstack/templates/openrc.erb 0644L /bin/sh
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/nova/.gitreview
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/fqdn_rotate_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: wrong-script-interpreter /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/validate_bool_spec.rb /usr/bin/env/ruby
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/validate_bool_spec.rb 0644L /usr/bin/env/ruby
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/haproxy/.gemfile
openstack-puppet.noarch: E: script-without-shebang /usr/share/puppet/modules/firewall/spec/puppet_spec/fixtures.rb
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/values_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/is_function_available.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/is_string_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/mysql/.travis.yml
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/memcached/.fixtures.yml
openstack-puppet.noarch: E: wrong-script-interpreter /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/validate_ipv4_address_spec.rb /usr/bin/env/ruby
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/validate_ipv4_address_spec.rb 0644L /usr/bin/env/ruby
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/shuffle_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/unique_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/openstack/.gitreview
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/swift/ext/swift_keystone_test.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/is_ip_address_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/firewall/spec/unit/puppet/provider/iptables_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/hash_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/openstack/templates/test_nova.sh.erb 0644L /bin/bash
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/cinder/.fixtures.yml
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/glance/.gitreview
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/xinetd/.fixtures.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/functions/getparam_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/swift/.fixtures.yml
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/inifile/.fixtures.yml
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/has_key_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: script-without-shebang /usr/share/puppet/modules/nova/files/compute.py
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/parsejson_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/is_numeric_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/stdlib/.gemspec
openstack-puppet.noarch: E: wrong-script-interpreter /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/validate_ipv6_address_spec.rb /usr/bin/env/ruby
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/validate_ipv6_address_spec.rb 0644L /usr/bin/env/ruby
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/xinetd/.gemfile
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/type_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/tempest/.gitreview
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/is_hash_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/is_integer_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/neutron/examples/create_network.sh 0644L /bin/bash
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/reverse_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: script-without-shebang /usr/share/puppet/modules/firewall/spec/monkey_patches/alias_should_to_must.rb
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/functions/ensure_resource_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/mysql/templates/mysqlbackup.sh.erb 0644L /bin/sh
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/str2bool_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/join_keys_to_values_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/rstrip_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: W: hidden-file-or-dir /usr/share/puppet/modules/keystone/.gitreview
openstack-puppet.noarch: E: zero-length /usr/share/puppet/modules/rsync/spec/fixtures/manifests/site.pp
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/swift/templates/swift_keystone_test.erb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/stdlib/spec/unit/puppet/parser/functions/get_module_path_spec.rb 0644L /usr/bin/env
openstack-puppet.noarch: E: non-executable-script /usr/share/puppet/modules/nova/files/nova-novncproxy.init 0644L /bin/bash
1 packages and 0 specfiles checked; 97 errors, 50 warnings.
# echo 'rpmlint-done:'



Requires
--------
openstack-puppet (rpmlib, GLIBC filtered):
    /bin/bash
    /usr/bin/env



Provides
--------
openstack-puppet:
    openstack-puppet
Comment 2 Jakub Ruzicka 2013-10-09 15:39:45 EDT
Also, you provided URL to RPM, not SRPM. Please update. (in new comment)
Comment 3 Ryan O'Hara 2013-10-13 03:25:29 EDT
The SRPM is here:

http://rohara.fedorapeople.org/puppet/openstack-puppet-2013.2-1.fc18.src.rpm
Comment 5 Ralf Corsepius 2013-10-15 05:58:16 EDT
Why don't you split this package into several ones?

Generally speaking, such kind of "lumped together" combined packages tend to become a maintainance nightmare in longer terms, because whenever a subpackage changes the whole bunch will have to be rebuilt and updated.

That said, I encourage you to split this package.
Comment 6 Pádraig Brady 2013-10-15 15:11:14 EDT
I don't think this warrants a split to subpackages at this time.
The main driver for splitting id dependency reduction which this would not do.
Comment 7 Pádraig Brady 2013-10-15 15:15:49 EDT
This should be called openstack-puppet-modules rather than just openstack-puppet I think? The former component is already created in bz
Comment 9 Pádraig Brady 2013-10-15 16:02:40 EDT
looks good to me

===== MUST items =====

Generic:
[X]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[X]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[X]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/puppet,
     /usr/share/puppet/modules
[X]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[X]: Sources contain only permissible code or content.
[X]: Package contains desktop file if it is a GUI application.
[X]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[X]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[X]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Package complies to the Packaging Guidelines
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[ ]: Package contains the mandatory BuildRequires and Requires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo
     $version)) missing?

Python:
[X]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[X]: Python eggs must not download any dependencies during the build process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python

===== SHOULD items =====

Generic:
[X]: Reviewer should test that the package builds in mock.
[X]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[X]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.



Rpmlint
-------
Checking: openstack-puppet-modules-2013.2-3.fc19.noarch.rpm
          openstack-puppet-modules-2013.2-3.fc19.src.rpm
openstack-puppet-modules.noarch: W: no-documentation
2 packages and 0 specfiles checked; 1 warnings.



Requires
--------
openstack-puppet-modules (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    /usr/bin/perl
    perl(File::Spec)
    perl(Getopt::Long)
    perl(diagnostics)
    perl(strict)
    perl(warnings)


Provides
--------
openstack-puppet-modules:
    openstack-puppet-modules


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Comment 10 Gwyn Ciesla 2013-10-15 16:09:04 EDT
No SCM request found.
Comment 11 Pádraig Brady 2013-10-15 19:13:41 EDT
New Package SCM Request
=======================
Package Name: openstack-puppet-modules
Short Description: Puppet modules used to install OpenStack
Owners: rohara
Branches: f19 f20 el6
InitialCC:
Comment 12 Ryan O'Hara 2013-10-16 05:19:02 EDT
(In reply to Pádraig Brady from comment #7)
> This should be called openstack-puppet-modules rather than just
> openstack-puppet I think? The former component is already created in bz

Agreed. Looks like you already made the change.

I think we should also change the install path for the modules, too.
Comment 13 Gwyn Ciesla 2013-10-16 08:14:58 EDT
Git done (by process-git-requests).
Comment 14 Ryan O'Hara 2013-10-17 02:03:58 EDT
It appears the git repo didn't get created. I'm unable to clone openstack-puppet-modules and I see no repo on pkgs.fedoraproject.org. Perhaps I'm missing something?
Comment 15 Pádraig Brady 2013-10-17 05:21:40 EDT
Can't see it either?
BTW I agree the install path for the modules should change as per comment 12
Setting cvs?
Comment 16 Gwyn Ciesla 2013-10-17 08:33:04 EDT
Sorry, not sure what happened, should be fine now.
Comment 17 Pádraig Brady 2013-10-17 11:57:58 EDT
Actually package only contains files in /usr/share/puppet/modules/...
and that does seem sensible on the face of it.

I've confirmed the git repo is now available.

thanks.
Comment 18 Ralf Corsepius 2013-10-18 06:11:31 EDT
(In reply to Pádraig Brady from comment #6)
> I don't think this warrants a split to subpackages at this time.
> The main driver for splitting id dependency reduction which this would not
> do.

I strong disagree with this and do not consider your rationale to be valid.

-1 from me on this package.
Comment 19 Pádraig Brady 2013-10-18 10:11:31 EDT
Well this should not be blocking.
If we need to split in future, we can by changing the top level package to one that requires the sub packages.

thanks
Comment 20 Ryan O'Hara 2013-10-21 10:01:28 EDT
I've changed the directory to which the puppet modules are installed to be /usr/share/openstack-puppet/modules/ so that these modules do not interfere with any other puppet modules installed on the system.

This package does nothing that isn't already being done in packstack-puppet-modules. This package simply splits-out the puppet modules from packstack, which makes sense. Furthermore, this package contains a colletion of puppet modules that are fixed on a specific repo/commit that is known to work for a given OpenStack release. If there is motivation in the Fedora community to package individual puppet modules, I would not be opposed.

Builds for rawhide, el6, f19 and f20 are complete. Closing.

Note You need to log in before you can comment on or make changes to this bug.